summaryrefslogtreecommitdiff
path: root/t/pluseq5.sh
diff options
context:
space:
mode:
authorMathieu Lirzin <mthl@gnu.org>2017-09-20 00:08:59 +0200
committerMathieu Lirzin <mthl@gnu.org>2017-09-20 00:08:59 +0200
commit7508174f4a6c19eeda89a7e18b8d1398fe85ccf0 (patch)
tree2938ba28267cfc6d6cba0b763f80e4b32ce49b03 /t/pluseq5.sh
parentc2757b974cb4c182333859edb45a01194550bc0e (diff)
parentced195a8556b68eab3dd0887e07a97c6ae4917bf (diff)
downloadautomake-7508174f4a6c19eeda89a7e18b8d1398fe85ccf0.tar.gz
Merge branch 'minor'
Diffstat (limited to 't/pluseq5.sh')
-rw-r--r--t/pluseq5.sh60
1 files changed, 60 insertions, 0 deletions
diff --git a/t/pluseq5.sh b/t/pluseq5.sh
new file mode 100644
index 000000000..8c4d7ceac
--- /dev/null
+++ b/t/pluseq5.sh
@@ -0,0 +1,60 @@
+#! /bin/sh
+# Copyright (C) 1999-2017 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
+
+# Test for another '+=' problem. Report from Brian Jones.
+
+. test-init.sh
+
+cat >> configure.ac << 'END'
+AM_CONDITIONAL([CHECK], [true])
+END
+
+cat > Makefile.am << 'END'
+if CHECK
+INCLUDES = abc
+endif
+INCLUDES += def
+END
+
+$ACLOCAL
+AUTOMAKE_fails
+
+# We expect the following diagnostic:
+#
+# Makefile.am:4: cannot apply '+=' because 'INCLUDES' is not defined in
+# Makefile.am:4: the following conditions:
+# Makefile.am:4: !CHECK
+# Makefile.am:4: either define 'INCLUDES' in these conditions, or use
+# Makefile.am:4: '+=' in the same conditions as the definitions.
+
+# Is !CHECK mentioned?
+grep ':.*!CHECK$' stderr
+# Is there only one missing condition?
+test $(grep -c ': ' stderr) -eq 1
+
+# By the way, Automake should suggest using AM_CPPFLAGS,
+# because INCLUDES is an obsolete name.
+grep AM_CPPFLAGS stderr
+
+# A way to suppress the obsolete warning is to use
+# -Wno-obsolete:
+echo 'AUTOMAKE_OPTIONS = -Wno-obsolete' >> Makefile.am
+AUTOMAKE_fails
+grep AM_CPPFLAGS stderr && exit 1
+# !CHECK should still be mentioned.
+grep ':.*!CHECK$' stderr
+
+: